[tool.black]
line-length = 100
target-version = ['py312']
exclude = '''

(
  /(
      \.venv
    | migrations
  )/
)
'''

[build-system]
requires = ["setuptools>=61.0"]
build-backend = "setuptools.build_meta"

[project]
name = "ucl-test-engine"
version = "0.6.0"
authors = []
description = "ucl test engine"
readme = "README.md"
requires-python = ">=3.12"
classifiers = [
   "Programming Language :: Python :: 3",
   "Operating System :: OS Independent",
]

[tool.setuptools.packages]
find = {}